# Changelog Claims Online API

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en).
The API version is based on [Semantic Versioning](https://semver.org).

## [Unreleased]

## [0.5.0] - 2025-04-07

### Changed

- The document `kind` is not required anymore. 
  Experience has shown that assigning a document to a type is rarely correct in 
  practice and does not bring any advantages. For backward compatibility the
  kind is still accepted and returned but might be a blank string.

## [0.4.0] - 2025-02-20

### Removed

- Remove `damage_reported_to_police`, `damage_reported_to_police_office` and 
  `damage_reported_to_police_file_number`. They are not requested and used anymore.

## [0.3.0] - 2025-02-14

### Added

- Goods claims support means of transport option `storage`.
- Add documentation for available means of transport options.

## [0.2.0] - 2025-02-13

### Added

- More precise description of which types of address are required for which 
  types of claim and which options are available. 

### Changed
 
- `claimant_charged_freight` is not requested for `goods` claims anymore.
- `damage_reported_to_police` is not requested for `goods` claims anymore.

## [0.1.0] - 2024-10-23

### Added

- Support downloading a ZIP document with all documents of a claim.

## [0.0.4] - 2024-10-22

### Added

- Add auto generated HTML page from this file for easier readability. 

## [0.0.3] - 2024-10-14

### Added

- Add missing document request parameter "title" for "Create document".
- Add missing maximum content length info for "Create document".
- Add missing supported content length info for "Create document".

## [0.0.2] - 2024-10-11

### Changed

- Add claim type to required addresses to describe which address types are 
  required for which claim type.

### Added

- Add a short description about a possible workflow to the general information.

